> ## Documentation Index
> Fetch the complete documentation index at: https://docs.monetary.dev/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Health Check

> Checks database connectivity and returns uptime.

Use this endpoint to verify service and database availability.

```bash theme={null}
curl -sS "$MONETARY_API_BASE_URL/health"
```


## OpenAPI

````yaml GET /health
openapi: 3.1.0
info:
  title: Monetary Public API
  description: Read-only market intelligence API for companies and prediction market data.
  version: 1.0.0
servers:
  - url: http://127.0.0.1:3003
    description: Local development
  - url: https://api.monetary.dev
    description: Production
security: []
tags:
  - name: System
    description: Service and health endpoints
  - name: Companies
    description: Company directory search and filtering
  - name: Prediction Markets
    description: Prediction market events, markets, and similarity grouping
paths:
  /health:
    get:
      tags:
        - System
      summary: Health check
      description: Checks database connectivity and returns uptime.
      operationId: getHealth
      responses:
        '200':
          description: Service is healthy
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HealthCheckResponse'
              examples:
                default:
                  value:
                    result:
                      - ok: 1
                    status: ok
                    uptime: 4821.184
        '500':
          $ref: '#/components/responses/InternalServerError'
      security: []
components:
  schemas:
    HealthCheckResponse:
      type: object
      required:
        - result
        - status
        - uptime
      properties:
        result:
          type: array
          items:
            type: object
            required:
              - ok
            properties:
              ok:
                type: integer
        status:
          type: string
          enum:
            - ok
        uptime:
          type: number
          description: Process uptime in seconds.
    ErrorResponse:
      type: object
      required:
        - error
        - message
      properties:
        error:
          type: string
          examples:
            - BadRequest
            - Unauthorized
            - InternalServerError
        message:
          type: string
  responses:
    InternalServerError:
      description: Unexpected server error
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
          examples:
            default:
              value:
                error: InternalServerError
                message: Unexpected error

````